<?php
namespace Neuron\Person\Controller\Widget;

use Neuron\Access\Session;

class Experience extends \Neuron\Person\Controller {

	public function onDispatch(\Zend\Mvc\MvcEvent $e) {

		$d = parent::onDispatch($e);  //INI HARUS DIPANGGIL!!!!
		$this->layout()->setTemplate('neuron/person/layout/plain');

		return $d;
	}

	protected function getViewPartial($name, $variables = array()) {
		$prefix = 'neuron/person/experience';

		$config = $this->getConfig();
		if (isset($config['person'])) {
			$config = $config['person'];
			$prefix = isset($config['viewprefix']) ? $config['viewprefix'] : $prefix;
		}

		$view = new \Zend\View\Model\ViewModel($variables);
		$view->setTemplate($prefix . '/' . strtolower($name)); // path to phtml file under view folder
		return $view;
	}

	public function formAction()
	{
		$this->getSession()->get();
		$post = $this->getPostParams();
		$id = $post['id'];
		$person_id = $post['person_id'];
		$expdata = array();
		$title = "Create Experience";

		if($id){
			$storage = \Neuron\Person\Experience\Storage::factory($this->getDb(), $this->getConfig());
			$cexp = new \Neuron\Person\Experience($storage);
			$title = "Edit Experience";
			if ($cexp->load($id))  {
				$expdata = $cexp->pull();
			}
		}

		return $this->getViewPartial('crud', get_defined_vars());
	}
    
}